<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Ciao Code Documentation: ib_defs_m::ib_edge_ Type Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Ciao Code Documentation
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceib__defs__m.html">ib_defs_m</a></li><li class="navelem"><a class="el" href="structib__defs__m_1_1ib__edge__.html">ib_edge_</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="structib__defs__m_1_1ib__edge__-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">ib_defs_m::ib_edge_ Type Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Collaboration diagram for ib_defs_m::ib_edge_:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
<div class="center"><img src="structib__defs__m_1_1ib__edge____coll__graph.png" border="0" usemap="#ib__defs__m_1_1ib__edge___coll__map" alt="Collaboration graph"/></div>
<map name="ib__defs__m_1_1ib__edge___coll__map" id="ib__defs__m_1_1ib__edge___coll__map">
<area shape="rect" id="node2" href="structib__defs__m_1_1ib__intrp__.html" title="{ib_defs_m::ib_intrp_\n|+ np\l+ index\l+ weight\l+ x_ib\l+ eta\l+ wt_neum\l|}" alt="" coords="9,5,148,156"/>
<area shape="rect" id="node3" href="structib__defs__m_1_1ib__nprobe__.html" title="{ib_defs_m::ib_nprobe_\n|+ np\l+ ip_u\l+ dx\l+ x_ib\l+ d_ib\l+ d_ib_sign\l+ nv\l+ e_t\l+ xp\l+ wt_flux2d\l+ wt_d2flux\l+ wt_lin\l+ wt_neum\l+ icv_n\l|}" alt="" coords="115,248,268,516"/>
<area shape="rect" id="node4" href="structib__defs__m_1_1ib__dvisc__.html" title="{ib_defs_m::ib_dvisc_\n|+ dxx_bc\l+ dxx_f\l|}" alt="" coords="292,336,438,428"/>
<area shape="rect" id="node5" href="structdata__xx__defs_1_1r0__unit__.html" title="{data_xx_defs::r0_unit_\n|+ d\l|}" alt="" coords="288,42,442,119"/>
<area shape="rect" id="node6" href="structib__defs__m_1_1ib__wfunc__.html" title="{ib_defs_m::ib_wfunc_\n|+ u_bc\l+ ut_lag\l+ tau_w\l+ u_tau\l+ u_p\l+ e_t\l+ tauw_body_fit\l|}" alt="" coords="462,299,612,465"/>
</map>
</div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a3ebfcbeb1b3a80c68d5b2aef0947335e"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(3)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structib__defs__m_1_1ib__edge__.html#a3ebfcbeb1b3a80c68d5b2aef0947335e">area_normal</a></td></tr>
<tr class="separator:a3ebfcbeb1b3a80c68d5b2aef0947335e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3a8074939e9bfdd8b8c13129b338f0d0"><td class="memItemLeft" align="right" valign="top">type(<a class="el" href="structib__defs__m_1_1ib__intrp__.html">ib_intrp_</a>), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structib__defs__m_1_1ib__edge__.html#a3a8074939e9bfdd8b8c13129b338f0d0">intrp_d_u</a></td></tr>
<tr class="separator:a3a8074939e9bfdd8b8c13129b338f0d0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a66155aff98f8dd756cdd27077a124b28"><td class="memItemLeft" align="right" valign="top">type(<a class="el" href="structib__defs__m_1_1ib__nprobe__.html">ib_nprobe_</a>), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structib__defs__m_1_1ib__edge__.html#a66155aff98f8dd756cdd27077a124b28">nprobe</a></td></tr>
<tr class="separator:a66155aff98f8dd756cdd27077a124b28"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8726ecd868796f585011609caebc8106"><td class="memItemLeft" align="right" valign="top">type(<a class="el" href="structib__defs__m_1_1ib__wfunc__.html">ib_wfunc_</a>), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structib__defs__m_1_1ib__edge__.html#a8726ecd868796f585011609caebc8106">wf</a></td></tr>
<tr class="separator:a8726ecd868796f585011609caebc8106"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a89f46ae8cc9091b0cc18e2713e8cede1"><td class="memItemLeft" align="right" valign="top">real(wp)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structib__defs__m_1_1ib__edge__.html#a89f46ae8cc9091b0cc18e2713e8cede1">uold</a></td></tr>
<tr class="separator:a89f46ae8cc9091b0cc18e2713e8cede1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae98948d8fe8ebbd5d48e760b733e65e7"><td class="memItemLeft" align="right" valign="top">real(wp)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structib__defs__m_1_1ib__edge__.html#ae98948d8fe8ebbd5d48e760b733e65e7">udot_dpdx</a></td></tr>
<tr class="separator:ae98948d8fe8ebbd5d48e760b733e65e7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0f26867279255f63d2527dfe2d47ba89"><td class="memItemLeft" align="right" valign="top">real(wp)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structib__defs__m_1_1ib__edge__.html#a0f26867279255f63d2527dfe2d47ba89">udot_visc</a></td></tr>
<tr class="separator:a0f26867279255f63d2527dfe2d47ba89"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae9941f9a3404aa4c473e1095c9fb3119"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(3)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structib__defs__m_1_1ib__edge__.html#ae9941f9a3404aa4c473e1095c9fb3119">uvec</a></td></tr>
<tr class="separator:ae9941f9a3404aa4c473e1095c9fb3119"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a29875f852397d903716a4bdb63f4c07c"><td class="memItemLeft" align="right" valign="top">real(wp)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structib__defs__m_1_1ib__edge__.html#a29875f852397d903716a4bdb63f4c07c">ke_coef</a></td></tr>
<tr class="separator:a29875f852397d903716a4bdb63f4c07c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab73225fca88c96b98bb42cb674d0a605"><td class="memItemLeft" align="right" valign="top">logical&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structib__defs__m_1_1ib__edge__.html#ab73225fca88c96b98bb42cb674d0a605">new</a></td></tr>
<tr class="separator:ab73225fca88c96b98bb42cb674d0a605"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae5a3ad8a196a3e3bc71e08f1e519922f"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structib__defs__m_1_1ib__edge__.html#ae5a3ad8a196a3e3bc71e08f1e519922f">dpdx</a></td></tr>
<tr class="separator:ae5a3ad8a196a3e3bc71e08f1e519922f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6d4f0760fe63396b14dcd35ff79aac49"><td class="memItemLeft" align="right" valign="top">type(<a class="el" href="structib__defs__m_1_1ib__dvisc__.html">ib_dvisc_</a>), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structib__defs__m_1_1ib__edge__.html#a6d4f0760fe63396b14dcd35ff79aac49">dvisc</a></td></tr>
<tr class="separator:a6d4f0760fe63396b14dcd35ff79aac49"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a64b391f5144d38f5a379a20fb98c2666"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(2)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structib__defs__m_1_1ib__edge__.html#a64b391f5144d38f5a379a20fb98c2666">dpdx_mult</a></td></tr>
<tr class="separator:a64b391f5144d38f5a379a20fb98c2666"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a19c7f046c092ebe2573448d9b5dce578"><td class="memItemLeft" align="right" valign="top">logical&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structib__defs__m_1_1ib__edge__.html#a19c7f046c092ebe2573448d9b5dce578">flag</a></td></tr>
<tr class="separator:a19c7f046c092ebe2573448d9b5dce578"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a3ebfcbeb1b3a80c68d5b2aef0947335e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3ebfcbeb1b3a80c68d5b2aef0947335e">&#9670;&nbsp;</a></span>area_normal</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), dimension(3) ib_defs_m::ib_edge_::area_normal</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ae5a3ad8a196a3e3bc71e08f1e519922f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae5a3ad8a196a3e3bc71e08f1e519922f">&#9670;&nbsp;</a></span>dpdx</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), dimension(:), pointer ib_defs_m::ib_edge_::dpdx</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a64b391f5144d38f5a379a20fb98c2666"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a64b391f5144d38f5a379a20fb98c2666">&#9670;&nbsp;</a></span>dpdx_mult</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), dimension(2) ib_defs_m::ib_edge_::dpdx_mult</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a6d4f0760fe63396b14dcd35ff79aac49"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6d4f0760fe63396b14dcd35ff79aac49">&#9670;&nbsp;</a></span>dvisc</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">type(<a class="el" href="structib__defs__m_1_1ib__dvisc__.html">ib_dvisc_</a>), pointer ib_defs_m::ib_edge_::dvisc</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a19c7f046c092ebe2573448d9b5dce578"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a19c7f046c092ebe2573448d9b5dce578">&#9670;&nbsp;</a></span>flag</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">logical ib_defs_m::ib_edge_::flag</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a3a8074939e9bfdd8b8c13129b338f0d0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3a8074939e9bfdd8b8c13129b338f0d0">&#9670;&nbsp;</a></span>intrp_d_u</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">type(<a class="el" href="structib__defs__m_1_1ib__intrp__.html">ib_intrp_</a>), pointer ib_defs_m::ib_edge_::intrp_d_u</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a29875f852397d903716a4bdb63f4c07c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a29875f852397d903716a4bdb63f4c07c">&#9670;&nbsp;</a></span>ke_coef</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp) ib_defs_m::ib_edge_::ke_coef</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ab73225fca88c96b98bb42cb674d0a605"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab73225fca88c96b98bb42cb674d0a605">&#9670;&nbsp;</a></span>new</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">logical ib_defs_m::ib_edge_::new</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a66155aff98f8dd756cdd27077a124b28"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a66155aff98f8dd756cdd27077a124b28">&#9670;&nbsp;</a></span>nprobe</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">type(<a class="el" href="structib__defs__m_1_1ib__nprobe__.html">ib_nprobe_</a>), pointer ib_defs_m::ib_edge_::nprobe</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ae98948d8fe8ebbd5d48e760b733e65e7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae98948d8fe8ebbd5d48e760b733e65e7">&#9670;&nbsp;</a></span>udot_dpdx</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp) ib_defs_m::ib_edge_::udot_dpdx</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a0f26867279255f63d2527dfe2d47ba89"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0f26867279255f63d2527dfe2d47ba89">&#9670;&nbsp;</a></span>udot_visc</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp) ib_defs_m::ib_edge_::udot_visc</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a89f46ae8cc9091b0cc18e2713e8cede1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a89f46ae8cc9091b0cc18e2713e8cede1">&#9670;&nbsp;</a></span>uold</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp) ib_defs_m::ib_edge_::uold</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ae9941f9a3404aa4c473e1095c9fb3119"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae9941f9a3404aa4c473e1095c9fb3119">&#9670;&nbsp;</a></span>uvec</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), dimension(3) ib_defs_m::ib_edge_::uvec</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a8726ecd868796f585011609caebc8106"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8726ecd868796f585011609caebc8106">&#9670;&nbsp;</a></span>wf</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">type(<a class="el" href="structib__defs__m_1_1ib__wfunc__.html">ib_wfunc_</a>), pointer ib_defs_m::ib_edge_::wf</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this type was generated from the following file:<ul>
<li><a class="el" href="ib__defs__m_8f90.html">ib_defs_m.f90</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Aug 7 2020 16:17:51 for Ciao Code Documentation by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
